## libreoffice 26.2.0

=== external/md4c/Makefile ===
# -*- Mode: makefile-gmake; tab-width: 4; indent-tabs-mode: t; fill-column: 100 -*-

module_directory:=$(dir $(realpath $(firstword $(MAKEFILE_LIST))))

include $(module_directory)/../../solenv/gbuild/partial_build.mk

# vim: set noet sw=4 ts=4:

=== odk/examples/dotnet/WriterDemo/fsharp/Makefile ===
# Builds the WriterDemo example of the Developers Guide.

PRJ = ../../../..
SETTINGS = $(PRJ)/settings

include $(SETTINGS)/settings.mk
include $(SETTINGS)/std.mk

# Settings
APP_NAME = WriterDemo
APP_LANG = fs

APP_SRC_DIR = $(subst /,$(PS),$(CURDIR))
APP_BIN_DIR = $(subst /,$(PS),$(OUT_BIN))
APP_MISC_DIR = $(subst /,$(PS),$(OUT_MISC)/$(APP_NAME))

APP_PROJ_NAME = $(APP_NAME).$(APP_LANG)proj
APP_PROJ_FILE = $(APP_MISC_DIR)/$(APP_PROJ_NAME)

APP_EXE_NAME = $(APP_NAME)$(EXE_EXT)
APP_EXE_FILE = $(APP_BIN_DIR)/$(APP_EXE_NAME)

DOTNET_FLAGS = -c Release
LO_NUPKG_ID = LibreOffice.Bindings
LO_NUPKG_VERSION = 0.1.0
LO_NUPKG_DIR = $(abspath $(PRJ)/dotnet)
TARGET_FRAMEWORK = net$(shell dotnet --version | cut -d. -f1-2)

# Targets
.PHONY: ALL
ALL : $(APP_NAME)

include $(SETTINGS)/stdtarget.mk

$(APP_PROJ_FILE) :
	-$(MKDIR) $(@D)
	$(ECHO) "<Project Sdk=\"Microsoft.NET.Sdk\">" > $@
	$(ECHO) "    <PropertyGroup>" >> $@
	$(ECHO) "        <AssemblyName>$(APP_NAME)</AssemblyName>" >> $@
	$(ECHO) "        <TargetFramework>$(TARGET_FRAMEWORK)</TargetFramework>" >> $@
	$(ECHO) "        <OutputType>exe</OutputType>" >> $@
	$(ECHO) "        <PublishSingleFile>true</PublishSingleFile>" >> $@
	$(ECHO) "        <SelfContained>false</SelfContained>" >> $@
	$(ECHO) "        <IncludeAllContentForSelfExtract>true</IncludeAllContentForSelfExtract>" >> $@
	$(ECHO) "        <RestoreAdditionalProjectSources>$(LO_NUPKG_DIR)</RestoreAdditionalProjectSources>" >> $@
	$(ECHO) "    </PropertyGroup>" >> $@
	$(ECHO) "    <ItemGroup>" >> $@
	$(ECHO) "        <PackageReference Include=\"$(LO_NUPKG_ID)\" Version=\"$(LO_NUPKG_VERSION)\" />" >> $@
	$(ECHO) "        <Compile Include=\"$(APP_SRC_DIR)/*.$(APP_LANG)\" />" >> $@
	$(ECHO) "    </ItemGroup>" >> $@
	$(ECHO) "</Project>" >> $@
	$(ECHOLINE) >> $@

$(APP_EXE_FILE) : $(APP_PROJ_FILE)
	-$(MKDIR) $(@D)
	$(SDK_DOTNET) publish $< $(DOTNET_FLAGS) -o $(<D)
	$(COPY) $(<D)/$(APP_EXE_NAME) $@

.PHONY: $(APP_NAME)
$(APP_NAME) : $(APP_EXE_FILE)
	$(ECHO) --------------------------------------------------------
	$(ECHO) Use the following commands to run the example:
	$(ECHO) $(MAKE) run OR $(MAKE) $(APP_NAME).run
	$(ECHO)
	$(ECHO) And the following commands to clean the example:
	$(ECHO) $(MAKE) clean OR $(MAKE) $(APP_NAME).clean
	$(ECHO) --------------------------------------------------------

.PHONY: $(APP_NAME).run run
$(APP_NAME).run run : $(APP_EXE_FILE)
	cd $(<D) && ./$(<F)

.PHONY: $(APP_NAME).clean clean
$(APP_NAME).clean clean :
	-$(DELRECURSIVE) $(APP_MISC_DIR)
	-$(DEL) $(APP_EXE_FILE)

=== odk/examples/DevelopersGuide/OfficeDev/PathSubstitution/csharp/Makefile ===
# Builds the PathSubstitutionTest example of the Developers Guide.

PRJ = ../../../../..
SETTINGS = $(PRJ)/settings

include $(SETTINGS)/settings.mk
include $(SETTINGS)/std.mk

# Settings
APP_NAME = PathSubstitutionTest
APP_LANG = cs

APP_SRC_DIR = $(subst /,$(PS),$(CURDIR))
APP_BIN_DIR = $(subst /,$(PS),$(OUT_BIN))
APP_MISC_DIR = $(subst /,$(PS),$(OUT_MISC)/$(APP_NAME))

APP_PROJ_NAME = $(APP_NAME).$(APP_LANG)proj
APP_PROJ_FILE = $(APP_MISC_DIR)/$(APP_PROJ_NAME)

APP_EXE_NAME = $(APP_NAME)$(EXE_EXT)
APP_EXE_FILE = $(APP_BIN_DIR)/$(APP_EXE_NAME)

DOTNET_FLAGS = -c Release
LO_NUPKG_ID = LibreOffice.Bindings
LO_NUPKG_VERSION = 0.1.0
LO_NUPKG_DIR = $(abspath $(PRJ)/dotnet)
TARGET_FRAMEWORK = net$(shell dotnet --version | cut -d. -f1-2)

# Targets
.PHONY: ALL
ALL : $(APP_NAME)

include $(SETTINGS)/stdtarget.mk

$(APP_PROJ_FILE) :
	-$(MKDIR) $(@D)
	$(ECHO) "<Project Sdk=\"Microsoft.NET.Sdk\">" > $@
	$(ECHO) "    <PropertyGroup>" >> $@
	$(ECHO) "        <AssemblyName>$(APP_NAME)</AssemblyName>" >> $@
	$(ECHO) "        <TargetFramework>$(TARGET_FRAMEWORK)</TargetFramework>" >> $@
	$(ECHO) "        <OutputType>exe</OutputType>" >> $@
	$(ECHO) "        <PublishSingleFile>true</PublishSingleFile>" >> $@
	$(ECHO) "        <SelfContained>false</SelfContained>" >> $@
	$(ECHO) "        <IncludeAllContentForSelfExtract>true</IncludeAllContentForSelfExtract>" >> $@
	$(ECHO) "        <RestoreAdditionalProjectSources>$(LO_NUPKG_DIR)</RestoreAdditionalProjectSources>" >> $@
	$(ECHO) "    </PropertyGroup>" >> $@
	$(ECHO) "    <ItemGroup>" >> $@
	$(ECHO) "        <PackageReference Include=\"$(LO_NUPKG_ID)\" Version=\"$(LO_NUPKG_VERSION)\" />" >> $@
	$(ECHO) "        <Compile Include=\"$(APP_SRC_DIR)/*.$(APP_LANG)\" />" >> $@
	$(ECHO) "    </ItemGroup>" >> $@
	$(ECHO) "</Project>" >> $@
	$(ECHOLINE) >> $@

$(APP_EXE_FILE) : $(APP_PROJ_FILE)
	-$(MKDIR) $(@D)
	$(SDK_DOTNET) publish $< $(DOTNET_FLAGS) -o $(<D)
	$(COPY) $(<D)/$(APP_EXE_NAME) $@

.PHONY: $(APP_NAME)
$(APP_NAME) : $(APP_EXE_FILE)
	$(ECHO) --------------------------------------------------------
	$(ECHO) Use the following commands to run the example:
	$(ECHO) $(MAKE) run OR $(MAKE) $(APP_NAME).run
	$(ECHO)
	$(ECHO) And the following commands to clean the example:
	$(ECHO) $(MAKE) clean OR $(MAKE) $(APP_NAME).clean
	$(ECHO) --------------------------------------------------------

.PHONY: $(APP_NAME).run run
$(APP_NAME).run run : $(APP_EXE_FILE)
	cd $(<D) && ./$(<F)

.PHONY: $(APP_NAME).clean clean
$(APP_NAME).clean clean :
	-$(DELRECURSIVE) $(APP_MISC_DIR)
	-$(DEL) $(APP_EXE_FILE)

=== odk/examples/DevelopersGuide/OfficeDev/TerminationTest/csharp/Makefile ===
# Builds the TerminationTest example of the Developers Guide.

PRJ = ../../../../..
SETTINGS = $(PRJ)/settings

include $(SETTINGS)/settings.mk
include $(SETTINGS)/std.mk

# Settings
APP_NAME = TerminationTest
APP_LANG = cs

APP_SRC_DIR = $(subst /,$(PS),$(CURDIR))
APP_BIN_DIR = $(subst /,$(PS),$(OUT_BIN))
APP_MISC_DIR = $(subst /,$(PS),$(OUT_MISC)/$(APP_NAME))

APP_PROJ_NAME = $(APP_NAME).$(APP_LANG)proj
APP_PROJ_FILE = $(APP_MISC_DIR)/$(APP_PROJ_NAME)

APP_EXE_NAME = $(APP_NAME)$(EXE_EXT)
APP_EXE_FILE = $(APP_BIN_DIR)/$(APP_EXE_NAME)

DOTNET_FLAGS = -c Release
LO_NUPKG_ID = LibreOffice.Bindings
LO_NUPKG_VERSION = 0.1.0
LO_NUPKG_DIR = $(abspath $(PRJ)/dotnet)
TARGET_FRAMEWORK = net$(shell dotnet --version | cut -d. -f1-2)

# Targets
.PHONY: ALL
ALL : $(APP_NAME)

include $(SETTINGS)/stdtarget.mk

$(APP_PROJ_FILE) :
	-$(MKDIR) $(@D)
	$(ECHO) "<Project Sdk=\"Microsoft.NET.Sdk\">" > $@
	$(ECHO) "    <PropertyGroup>" >> $@
	$(ECHO) "        <AssemblyName>$(APP_NAME)</AssemblyName>" >> $@
	$(ECHO) "        <TargetFramework>$(TARGET_FRAMEWORK)</TargetFramework>" >> $@
	$(ECHO) "        <OutputType>exe</OutputType>" >> $@
	$(ECHO) "        <PublishSingleFile>true</PublishSingleFile>" >> $@
	$(ECHO) "        <SelfContained>false</SelfContained>" >> $@
	$(ECHO) "        <IncludeAllContentForSelfExtract>true</IncludeAllContentForSelfExtract>" >> $@
	$(ECHO) "        <RestoreAdditionalProjectSources>$(LO_NUPKG_DIR)</RestoreAdditionalProjectSources>" >> $@
	$(ECHO) "    </PropertyGroup>" >> $@
	$(ECHO) "    <ItemGroup>" >> $@
	$(ECHO) "        <PackageReference Include=\"$(LO_NUPKG_ID)\" Version=\"$(LO_NUPKG_VERSION)\" />" >> $@
	$(ECHO) "        <Compile Include=\"$(APP_SRC_DIR)/*.$(APP_LANG)\" />" >> $@
	$(ECHO) "    </ItemGroup>" >> $@
	$(ECHO) "</Project>" >> $@
	$(ECHOLINE) >> $@

$(APP_EXE_FILE) : $(APP_PROJ_FILE)
	-$(MKDIR) $(@D)
	$(SDK_DOTNET) publish $< $(DOTNET_FLAGS) -o $(<D)
	$(COPY) $(<D)/$(APP_EXE_NAME) $@

.PHONY: $(APP_NAME)
$(APP_NAME) : $(APP_EXE_FILE)
	$(ECHO) --------------------------------------------------------
	$(ECHO) Use the following commands to run the example:
	$(ECHO) $(MAKE) run OR $(MAKE) $(APP_NAME).run
	$(ECHO)
	$(ECHO) And the following commands to clean the example:
	$(ECHO) $(MAKE) clean OR $(MAKE) $(APP_NAME).clean
	$(ECHO) --------------------------------------------------------

.PHONY: $(APP_NAME).run run
$(APP_NAME).run run : $(APP_EXE_FILE)
	cd $(<D) && ./$(<F)

.PHONY: $(APP_NAME).clean clean
$(APP_NAME).clean clean :
	-$(DELRECURSIVE) $(APP_MISC_DIR)
	-$(DEL) $(APP_EXE_FILE)

=== debian/changelog ===
libreoffice (4:26.2.0-1) unstable; urgency=medium

  * LibeOffice 26.2.0 final release (identical to rc3)

  * upload to unstable

  * debian/watch: back to releases/download.documenfoundation.org

 -- Rene Engelhard <rene@debian.org>  Wed, 28 Jan 2026 21:03:25 +0100

=== debian/control ===
#
# NOTE: This file is autogenerated. DO NOT manually edit it! 
# Edit debian/control*in and rules (whatever applicable), run debian/rules control
# and move control.new to control if the difference is sane.
#
Source: libreoffice
Section: editors
Priority: optional
Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>, Chris Halls <halls@debian.org>
Build-Depends: autoconf,
               automake,
               bc,
               binutils (>= 2.37-9) [ppc64],
               bison,
               bzip2,
               cargo [!alpha !hppa !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !mips !mipsel !mips64 !powerpc !powerpcspe !sparc],
               clang [i386],
               debhelper-compat (= 12),
               default-jdk (>= 2:1.9) [!hppa !hurd-amd64 !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !powerpcspe !s390 !sparc !ppc64el !s390x !armhf !armel] <!nojava>,
               dh-python <!nopython>,
               dpkg-dev (>= 1.22.5) [armel armhf hppa kfreebsd-i386 m68k mips mipsel powerpc powerpcspe sparc],
               flex,
               g++ (>= 4:12) [!i386],
               gcc (>= 4:12) [!i386],
               gperf,
               java-common (>= 0.75) <!nojava>,
               javahelper [!armel !armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               junit4 [amd64 arm64] <!nocheck !nojava>,
               libabw-dev (<< 0.2~),
               libabw-dev (>= 0.1),
               libarchive-zip-perl [!armel !armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               libargon2-dev,
               libbase-java [!armel !armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               libbluetooth-dev [linux-any],
               libboost-date-time-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-iostreams-dev,
               libboost-locale-dev,
               libbox2d-dev,
               libcairo2-dev,
               libcdr-dev (<< 0.2~),
               libcdr-dev (>= 0.1),
               libclucene-dev,
               libcmis-dev (<< 0.7~),
               libcmis-dev (>= 0.6.1~),
               libcpdb-frontend-dev,
               libcrypt-dev,
               libcups2-dev,
               libcurl4-openssl-dev,
               libdconf-dev (>= 0.40),
               libdragonbox-dev,
               libe-book-dev (<< 0.2~),
               libe-book-dev (>= 0.1),
               libeot-dev,
               libepoxy-dev,
               libepubgen-dev (<< 0.2~),
               libepubgen-dev (>= 0.1.0),
               libetonyek-dev,
               libetonyek-dev (<< 0.2~),
               libexpat1-dev,
               libexttextcat-dev,
               libfast-float-dev,
               libfixmath-dev,
               libflute-java [!armel !armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               libfontconfig-dev,
               libfonts-java [!armel !armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               libformula-java [!armel !armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               libfreehand-dev (<< 0.2~),
               libfreehand-dev (>= 0.1),
               libfreetype-dev,
               libfrozen-dev,
               libgl-dev,
               libglib2.0-dev,
               libglm-dev,
               libgraphite2-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libharfbuzz-dev (>= 5.1.0),
               libhsqldb1.8.0-java [!armel !armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               libhunspell-dev,
               libhyphen-dev,
               libice-dev,
               libicu-dev,
               libjava-websocket-java [!armel !armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               libjpeg-dev,
               libkrb5-dev,
               liblangtag-dev,
               liblayout-java [!armel !armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               liblcms2-dev,
               libloader-java [!armel !armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               liblockfile-bin,
               libmd4c-dev,
               libmdds-dev (<< 3.3~),
               libmdds-dev (>= 3.0),
               libmspub-dev (<< 0.2~),
               libmspub-dev (>= 0.1),
               libmwaw-dev (<< 0.4~),
               libmwaw-dev (>= 0.3.21),
               libmythes-dev,
               libnspr4-dev,
               libnss3-dev,
               libnumbertext-dev,
               libodfgen-dev (<< 0.2~),
               libodfgen-dev (>= 0.1),
               liborcus-dev (<< 0.22~),
               liborcus-dev (>= 0.21),
               libpagemaker-dev,
               libpagemaker-dev (<< 0.1~),
               libpentaho-reporting-flow-engine-java [!armel !armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               libpng-dev,
               libpoppler-cpp-dev,
               libpoppler-dev,
               libpoppler-private-dev,
               libqxp-dev,
               libqxp-dev (<< 0.1~),
               librdf0-dev,
               librepository-java [!armel !armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               librevenge-dev,
               librevenge-dev (<< 0.1~),
               libsac-java [!armel !armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               libsane-dev,
               libserializer-java [!armel !armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               libsm-dev,
               libstaroffice-dev,
               libstaroffice-dev (<< 0.1~),
               libsuitesparse-dev,
               libtiff-dev,
               libvisio-dev (<< 0.2~),
               libvisio-dev (>= 0.1),
               libwebp-dev,
               libwpd-dev (<< 0.11~),
               libwpd-dev (>= 0.10),
               libwpg-dev (<< 0.4~),
               libwpg-dev (>= 0.3),
               libwps-dev (<< 0.5~),
               libwps-dev (>= 0.4),
               libx11-dev,
               libx11-xcb-dev,
               libxaw7-dev,
               libxext-dev,
               libxinerama-dev,
               libxkbfile-dev,
               libxml-java [!armel !armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               libxml2-dev,
               libxml2-utils,
               libxmlsec1-dev (>= 1.2.35),
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               libxtst-dev,
               libzmf-dev,
               libzmf-dev (<< 0.1~),
               libzstd-dev,
               libzxcvbn-dev,
               libzxing-dev [!loong64],
               maven-repo-helper [!armel !armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               mold [riscv64],
               pkgconf,
               po-debconf,
               python3,
               python3 [!alpha !hppa !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !mips !mipsel !mips64 !powerpc !powerpcspe !sparc],
               python3-dev <!nopython>,
               python3-setuptools <!nopython>,
               rustc [!alpha !hppa !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !mips !mipsel !mips64 !powerpc !powerpcspe !sparc],
               unixodbc-dev,
               unzip,
               x11proto-render-dev,
               xsltproc,
               zip,
               zlib1g-dev
Build-Depends-Arch: afdko-bin [alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 loong64 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64],
                    at-spi2-core [!alpha !armel !armhf !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !riscv64 !s390x !sparc !sparc64] <!nocheck>,
                    clang [!alpha !hppa !ia64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !s390x !sparc !sparc64],
                    coinor-libcoinmp-dev,
                    coinor-libcoinutils-dev,
                    culmus [amd64 arm64 i386 ppc64el riscv64 s390x] <!nocheck>,
                    dbus-x11 [!alpha !armel !armhf !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !riscv64 !s390x !sparc !sparc64] <!nocheck>,
                    dh-cargo [!alpha !hppa !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !mips !mipsel !mips64 !powerpc !powerpcspe !sparc],
                    firebird-dev (<< 5.0~) [!m68k],
                    firebird-dev (>= 4.0) [!m68k],
                    firebird4.0-server-core [!m68k] <!nocheck>,
                    fontconfig [amd64 arm64 i386 ppc64el riscv64 s390x] <!nocheck>,
                    fonts-crosextra-caladea [amd64 arm64 i386 ppc64el riscv64 s390x] <!nocheck>,
                    fonts-crosextra-carlito (>= 20230309) [amd64 arm64 i386 ppc64el riscv64 s390x] <!nocheck>,
                    fonts-dejavu [amd64 arm64 i386 ppc64el riscv64 s390x] <!nocheck>,
                    fonts-hosny-amiri (>= 1.000) [amd64 arm64 i386 ppc64el riscv64 s390x] <!nocheck>,
                    fonts-liberation (>= 1:2) [amd64 arm64 i386 ppc64el riscv64 s390x] <!nocheck>,
                    fonts-linuxlibertine [amd64 arm64 i386 ppc64el riscv64 s390x] <!nocheck>,
                    fonts-noto-core [amd64 arm64 i386 ppc64el riscv64 s390x] <!nocheck>,
                    fonts-opensymbol <!pkg.libreoffice.opensymbolbuild>,
                    gdb [!alpha !armel !armhf !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !riscv64 !s390x !sparc !sparc64] <!nocheck>,
                    ghostscript [!alpha !armel !armhf !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !riscv64 !s390x !sparc !sparc64] <!nocheck>,
                    gir1.2-gdk-3.0-dev <!nogir>,
                    gir1.2-gdkpixbuf-2.0-dev <!nogir>,
                    gir1.2-gio-2.0-dev <!nogir>,
                    gir1.2-gobject-2.0-dev <!nogir>,
                    gir1.2-gtk-3.0-dev <!nogir>,
                    gobject-introspection (>= 1.80) <!nogir>,
                    gpg [!alpha !armel !armhf !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !riscv64 !s390x !sparc !sparc64] <!nocheck>,
                    gpg-agent [!alpha !armel !armhf !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !riscv64 !s390x !sparc !sparc64] <!nocheck>,
                    gpgconf [!alpha !armel !armhf !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !riscv64 !s390x !sparc !sparc64] <!nocheck>,
                    hunspell-en-us [!alpha !armel !armhf !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !riscv64 !s390x !sparc !sparc64] <!nocheck>,

=== debian/rules ===
#!/usr/bin/make -f
################################################################################
# LibreOffice source package rules file
#
# Please see debian/README for detailed documentation about the build system, and
# how to build LibreOffice.
################################################################################
# Authors:
# Chris Halls <halls@debian.org>
# Rene Engelhard <rene@debian.org>
# Copyright 2002-2025 Software in the Public Interest, Inc.
# Portions Copyright 2010 Canonical Ltd. Author: Matthias Klose
# Portions Copyright 2011-2013 Canonical Ltd. Author: Bjoern Michaelsen
# Licensed under the GNU General Public License, version 2.  See the file
# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
################################################################################

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))

include /usr/share/dpkg/pkg-info.mk
CURDIR ?= $(realpath $(dir $(firstword $(MAKEFILE_LIST)))/..)
BASE_VERSION:=$(shell echo $(DEB_VERSION) | cut -d: -f1):$(DEB_VERSION_UPSTREAM)
BINARY_VERSION=$(DEB_VERSION)
OOVER:=26.2
HELP_L10N_VIRTUAL_VERSION:=$(OOVER)
ifeq "$(shell echo $(OOVER) | cut -d. -f2)" "2"
# 24.2 + .6 -> 24.8 -> OK
NEXT_OOVER=$(shell echo "$(OOVER) + .6" | bc)
else
# 24.8 + .6 = 25.4 -> wrong (doesn't take into account that the year
# has 12 months)so subtract 2 (so effectively + .4) to get back to February (25.2),
# which is supposed to be the schedule.
NEXT_OOVER=$(shell echo "$(OOVER) + .4" | bc)
endif

ARCH_INDEP_PACKAGES := $(shell dh_listpackages -i)
ARCH_DEP_PACKAGES := $(shell dh_listpackages -a)
PACKAGES := $(ARCH_INDEP_PACKAGES) $(ARCH_DEP_PACKAGES)

ifneq (,$(shell pwd | grep autopkgtest))
AUTOPKGTEST_BUILD=y
$(warning Build for autopkgtest)
endif
AUTOPKGTEST_CPPUNIT_PACKAGES := $(shell dh_listpackages | grep -v help | grep -v l10n | grep -v dev-doc | grep -v "nogui$$")

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/vendor.mk
SHELL:=/bin/bash

SYSTEM_GCC_VERSION = $(shell gcc --version | sed -n '/^gcc/s/.*\(..\..\)\../\1/p' | cut -d" " -f1 | cut -d. -f1)
SYSTEM_CLANG_VERSION = $(shell clang -v 2>&1 | head -n1 | awk '{ print $$4 }' | cut -d. -f1)

PKGDIR:=debian/libreoffice
OODIRNAME=libreoffice
OODIR:=usr/lib/$(OODIRNAME)
OOSDKDIR:=$(OODIR)/sdk

# Figure out who's building this package.
ifneq "$(DEB_VENDOR)" "Debian"
OOO_VENDOR:=The Document Foundation, $(DEB_PARENT_VENDOR) and $(DEB_VENDOR)
else
OOO_VENDOR=The Document Foundation/$(DEB_VENDOR)
endif
export OOO_VENDOR

# debhelper
export DH_OPTIONS
export DH_ALWAYS_EXCLUDE=CVS:.svn:.bzr:.git
#export DH_VERBOSE=1
# quilt
export QUILT_PATCHES=debian/patches
export QUILT_OPTIONS="-p1 -F0"

SOURCE_TREE=.
STAMP_DIR=debian/stampdir
TARFILE_LOCATION=$(CURDIR)/tarballs
export TARFILE_LOCATION
USE_SOURCE_TARBALLS=y
USE_GIT_TARBALLS=n
ifeq "$(USE_GIT_TARBALLS)" "y"
GIT_BASEURL:=git://anongit.freedesktop.org/libreoffice
lo_sources_ver=$(shell grep AC_INIT $(SOURCE_TREE)/configure.ac | grep documentfoundation | cut -d, -f2 | sed -e 's,\[,,' -e 's,\],,')
# NOT in proper libreoffice-3-6 branch
# use ./g checkout -b tag-libreoffice-3.6.2.1 libreoffice-3.6.2.1
GIT_TAG=libreoffice-$(lo_sources_ver)
GIT_BRANCH=libreoffice-26-2-0
endif
ifeq "$(USE_SOURCE_TARBALLS)" "y"
lo_sources_ver=$(shell cat $(CURDIR)/sources.ver | cut -d= -f2)
endif

#########
# Default package configuration
#
# FIXME: Should riscv64 be here at all given it doesn't support NaN payload propagation which LO (at least Calc) needs?
# see https://bugs.documentfoundation.org/show_bug.cgi?id=152943 and https://lists.debian.org/debian-riscv/2024/01/msg00018.html
OOO_ARCHS = alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 loong64 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64
DEBIAN_MAIN_ARCHITECTURES = amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x
PATCHSET=$(DEB_VENDOR)
BUILD_DEPS=\
    autoconf,\
    automake,\
    bc,\
    bison,\
    bzip2,\
    flex, \
    gperf,\
    libfreetype-dev,\
    libfontconfig-dev,\
    pkgconf,\
    po-debconf,\
    unzip,\
    xsltproc,\
    zip,\
    zlib1g-dev\

BUILD_DEPS_INDEP += rdfind, symlinks

# These are components which can be built from internal copies, or used from the
# distribution. See configure --help for valid values (--with-system-<value>).
SYSTEM_STUFF = dicts

ENABLE_GUI=y

ifeq ($(filter nopython,$(DEB_BUILD_PROFILES)),)
ENABLE_PYTHON=y
ifeq "$(ENABLE_PYTHON)" "y"
  CONFIGURE_FLAGS += --enable-python=system
  ENABLE_SCRIPT_PROVIDER_PYTHON=y
  PACKAGE_LIBRELOGO=y
endif
# THIS IS ONLY FOR TESTING. When building against a specified pythonX.Y
# this will work inside OOo but *not* from outside OOo unless the user
# uses pythonX.Y directly (and the dh_pycentral-created dependencies allow
# also the non-working default python then) - see e.g. #587402. Also
# note we are NOT working with python < 2.6 anymore!
PYTHON_VERSION=current
ifeq "$(PYTHON_VERSION)" "current"
  PYTHON=python3
  export PYTHON
else
  # somehow configure insists on using python3 "for pyuno". The only way to
  # override this (afaics) is this...
  PYTHON=python$(PYTHON_VERSION)
  PYTHON_CFLAGS=$(shell pkg-config --cflags python-$(PYTHON_VERSION))
  PYTHON_LIBS=$(shell pkg-config --libs python-$(PYTHON_VERSION))
  export PYTHON PYTHON_VERSION PYTHON_CFLAGS PYTHON_LIBS
endif
endif
BUILD_ONLY_EN_US=n
ifeq ($(filter nojava,$(DEB_BUILD_PROFILES)),)
  include /usr/share/java/java_defaults.mk
  ifneq ($(DEB_HOST_ARCH),$(filter-out $(DEB_HOST_ARCH),$(java_unsupported_architectures)))
      ENABLE_JAVA=y
  endif
  ifeq "$(ENABLE_JAVA)" "y"
    JDK=default
    ifneq "$(JDK)" "default"
      JAVA_MAINVER=17
    endif
  endif
else
  ENABLE_JAVA=n
endif
#JAVAHELPER_MIN_VERSION=
SYSTEM_STUFF += hunspell
SYSTEM_STUFF += altlinuxhyph
SYSTEM_STUFF += boost
BOOST_VERSION=default
# libmdds-dev depends on libboost-dev, which will be removed
# when you install a non-default libboostX.Y-dev
ifeq "$(BOOST_VERSION)" "default"
SYSTEM_STUFF += mdds
endif
USE_EXTERNAL_CXXLIBS=y
SYSTEM_STUFF += mythes
SYSTEM_STUFF += icu
SYSTEM_STUFF += librevenge
SYSTEM_STUFF += libwpd libwpg libwps
SYSTEM_STUFF += libvisio
SYSTEM_STUFF += libcdr
SYSTEM_STUFF += libmspub
SYSTEM_STUFF += libmwaw
SYSTEM_STUFF += libodfgen
SYSTEM_STUFF += libepubgen
SYSTEM_STUFF += libetonyek
SYSTEM_STUFF += libfreehand
# this is libe-book, NOT evolutions libebook (which is
# dlopen()'ed anyway and whose headers we need from the
# system anyways if enabled
SYSTEM_STUFF += libebook
SYSTEM_STUFF += libabw
SYSTEM_STUFF += libpagemaker
SYSTEM_STUFF += libzmf
SYSTEM_STUFF += libstaroffice
SYSTEM_STUFF += libqxp
ifneq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),loong64))
ENABLE_ZXING=y
endif
SYSTEM_STUFF += zxing
BUILD_CAIROCANVAS=y
SYSTEM_STUFF += cairo
ENABLE_GPGMEPP=y
ifeq "$(ENABLE_GUI)" "y"
BUILD_PLASMA=y
# let's assume we won't ship two plasmas parallel..
PLASMA_VERSION=6
PLASMA_KF_VERSION=$(PLASMA_VERSION)
PLASMA_ARCHITECTURE=all
ENABLE_QT5=n
#QT5_MINVER=
ENABLE_KF5=n
ENABLE_QT6=y
ifneq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),m68k))
ENABLE_QT6_MULTIMEDIA=y
endif
ENABLE_KF6=y
endif
# go sure. if we want plasma, we want kfX, too and if we want that
# one we want qtX, too.
ifeq "$(BUILD_PLASMA)" "y"
   ifeq "$(PLASMA_VERSION)" "5"
     ENABLE_KF5=y
   endif
   ifeq "$(PLASMA_VERSION)" "6"
	ENABLE_KF6=y
  endif
endif
# KF5 depends on Qt5
ifeq "$(ENABLE_KF5)" "y"
  ENABLE_QT5=y
  KF5_QT5_DEPENDS := libreoffice-qt5 (= $${binary:Version})
endif
# KF6 depends on Qt6
ifeq "$(ENABLE_KF6)" "y"
  ENABLE_QT6=y
  KF6_QT6_DEPENDS := libreoffice-qt6 (= $${binary:Version})
endif
# https://www.debian.org/doc/debian-policy/ says this is not defined and must
# be ignored, but dh_strip mentions (and honours) it, so...
ifneq (noautodbgsym,$(findstring noautodbgsym,$(DEB_BUILD_OPTIONS)))
BUILD_DBGSYM_PACKAGES=y
ifeq "$(DEB_HOST_ARCH)" "amd64"
USE_DWZ=n
DWZ_ARGS:=-L 100000000
endif
endif
SYSTEM_STUFF += xmlsec
